Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.drools.conf
Class MaxThreadsOption

    java.lang.Object
      org.drools.conf.MaxThreadsOption

All Implemented Interfaces:
  Serializable, KnowledgeBaseOption, Option, SingleValueKnowledgeBaseOption

    public class MaxThreadsOption

extends Object
implements SingleValueKnowledgeBaseOption

A class for the max threads configuration.

See Also:
  Serialized Form

Field Summary
`static String` | `PROPERTY_NAME` The property name for the max threads

Method Summary
`boolean` | `equals(Object obj)`
`static MaxThreadsOption` | `get(int threshold)` This is a factory method for this Max Threads configuration.
`int` | `getMaxThreads()` Returns the maximum number of threads for partition evaluation
`String` | `getPropertyName()` Returns the property name for this option
`int` | `hashCode()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROPERTY_NAME

    public static final String PROPERTY_NAME

  The property name for the max threads

  See Also:
    Constant Field Values

Method Detail

### get

    public static MaxThreadsOption get(int threshold)

  This is a factory method for this Max Threads configuration. The factory method is a best practice for the case where the actual object construction is changed in the future.

  Parameters:
    `maxThreads` - the maximum number of threads for partition evaluation
  Returns:
    the actual type safe max threads configuration.

### getPropertyName

    public String getPropertyName()

  Returns the property name for this option

  Specified by:
    `getPropertyName` in interface `Option`
  Returns:

### getMaxThreads

    public int getMaxThreads()

  Returns the maximum number of threads for partition evaluation

  Returns:

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 JBoss by Red Hat. All Rights Reserved.